Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
ResourceTypeRepositoryTest::$modules property core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Modules to install.
ResourceTypeRepositoryTest::$resourceTypeRepository property core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php The JSON:API resource type repository under test.
ResourceTypeRepositoryTest::getFieldsProvider function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Data provider for testMappingNameConflictCheck.
ResourceTypeRepositoryTest::getProvider function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Data provider for testGet.
ResourceTypeRepositoryTest::setUp function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php
ResourceTypeRepositoryTest::testAll function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests all.
ResourceTypeRepositoryTest::testCaching function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Ensures that the ResourceTypeRepository's cache does not become stale.
ResourceTypeRepositoryTest::testGet function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests get.
ResourceTypeRepositoryTest::testMappingNameConflictCheck function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Ensures that a naming conflict in mapping causes an exception to be thrown.
ResourceTypeRepositoryTest::testResourceTypeDisabling function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests that resource types can be disabled by a build subscriber.
ResourceTypeRepositoryTest::testResourceTypeFieldAliasing function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests that resource type fields can be aliased per resource type.
ResourceTypeRepositoryTest::testResourceTypeFieldDisabling function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests that resource type fields can be disabled per resource type.
ResourceTypeRepositoryTest::testResourceTypeFieldEnabling function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests that resource type fields can be re-enabled per resource type.
ResourceTypeRepositoryTest::testResourceTypeRenaming function core/modules/jsonapi/tests/src/Kernel/ResourceType/ResourceTypeRepositoryTest.php Tests that resource types can be renamed.
ResourceVersionRouteEnhancer class core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php Loads an appropriate revision for the requested resource version.
ResourceVersionRouteEnhancer.php file core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php
ResourceVersionRouteEnhancer::$versionNegotiator property core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php The revision ID negotiator.
ResourceVersionRouteEnhancer::CACHE_CONTEXT constant core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php The cache context by which vary the loaded entity revision.
ResourceVersionRouteEnhancer::enhance function core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php Updates the defaults for a route definition based on the request.
ResourceVersionRouteEnhancer::isValidVersionIdentifier function core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php Validates the user input.
ResourceVersionRouteEnhancer::RESOURCE_VERSION_QUERY_PARAMETER constant core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php The query parameter for providing a version (revision) value.
ResourceVersionRouteEnhancer::REVISION_ID_KEY constant core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php The route default parameter name.
ResourceVersionRouteEnhancer::VERSION_IDENTIFIER_VALIDATOR constant core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php Resource version validation regex.
ResourceVersionRouteEnhancer::WORKING_COPIES_REQUESTED constant core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php A route parameter key which indicates that working copies were requested.
ResourceVersionRouteEnhancer::__construct function core/modules/jsonapi/src/Revisions/ResourceVersionRouteEnhancer.php ResourceVersionRouteEnhancer constructor.
respond_install_uninstall_hook_test.info.yml file core/modules/system/tests/modules/respond_install_uninstall_hook_test/respond_install_uninstall_hook_test.info.yml core/modules/system/tests/modules/respond_install_uninstall_hook_test/respond_install_uninstall_hook_test.info.yml
respond_install_uninstall_hook_test_cache_flush function core/modules/system/tests/modules/hook_collector_on_behalf_procedural/hook_collector_on_behalf_procedural.module This implements a hook on behalf of another module.
ResponseDisplayPluginInterface interface core/modules/views/src/Plugin/views/display/ResponseDisplayPluginInterface.php Defines a display which returns a Response object.
ResponseDisplayPluginInterface.php file core/modules/views/src/Plugin/views/display/ResponseDisplayPluginInterface.php
ResponseDisplayPluginInterface::buildResponse function core/modules/views/src/Plugin/views/display/ResponseDisplayPluginInterface.php Builds up a response with the rendered view as content.
ResponseGeneratorSubscriber class core/lib/Drupal/Core/EventSubscriber/ResponseGeneratorSubscriber.php Response subscriber to add X-Generator header tag.
ResponseGeneratorSubscriber.php file core/lib/Drupal/Core/EventSubscriber/ResponseGeneratorSubscriber.php
ResponseGeneratorSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/ResponseGeneratorSubscriber.php
ResponseGeneratorSubscriber::onRespond function core/lib/Drupal/Core/EventSubscriber/ResponseGeneratorSubscriber.php Sets extra X-Generator header on successful responses.
ResponseGeneratorTest class core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php Tests to see if generator header is added.
ResponseGeneratorTest.php file core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php
ResponseGeneratorTest::$defaultTheme property core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php The theme to install as the default for testing.
ResponseGeneratorTest::$modules property core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php Modules to install.
ResponseGeneratorTest::setUp function core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php
ResponseGeneratorTest::testGeneratorHeaderAdded function core/modules/system/tests/src/Functional/System/ResponseGeneratorTest.php Tests to see if generator header is added.
ResponseKeepSessionOpenInterface interface core/lib/Drupal/Core/Session/ResponseKeepSessionOpenInterface.php Indicates that sessions for this response should be kept open after sending.
ResponseKeepSessionOpenInterface.php file core/lib/Drupal/Core/Session/ResponseKeepSessionOpenInterface.php
ResponsePolicyInterface interface core/lib/Drupal/Core/PageCache/ResponsePolicyInterface.php Defines the interface for response policy implementations.
ResponsePolicyInterface.php file core/lib/Drupal/Core/PageCache/ResponsePolicyInterface.php
ResponsePolicyInterface::check function core/lib/Drupal/Core/PageCache/ResponsePolicyInterface.php Determines whether it is save to store a page in the cache.
ResponsePolicyInterface::DENY constant core/lib/Drupal/Core/PageCache/ResponsePolicyInterface.php Deny storage of a page in the cache.
ResponseStatus class core/modules/system/src/Plugin/Condition/ResponseStatus.php Provides a 'Response status' condition.
ResponseStatus.php file core/modules/system/src/Plugin/Condition/ResponseStatus.php
ResponseStatus::$requestStack property core/modules/system/src/Plugin/Condition/ResponseStatus.php The request stack.
ResponseStatus::buildConfigurationForm function core/modules/system/src/Plugin/Condition/ResponseStatus.php Form constructor.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.